.TH "mca_btl_gm_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_btl_gm_module_t \- BTL Module Interface.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <btl_gm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_btl_base_module_t\fP \fBsuper\fP"
.br
.RI "\fIbase BTL interface \fP"
.ti -1c
.RI "mca_btl_base_recv_reg_t \fBgm_reg\fP [256]"
.br
.ti -1c
.RI "gm_port * \fBport\fP"
.br
.ti -1c
.RI "\fBmca_btl_gm_addr_t\fP \fBgm_addr\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBgm_frag_eager\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBgm_frag_max\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBgm_frag_user\fP"
.br
.ti -1c
.RI "int32_t \fBgm_num_send_tokens\fP"
.br
.ti -1c
.RI "int32_t \fBgm_max_send_tokens\fP"
.br
.ti -1c
.RI "int32_t \fBgm_num_recv_tokens\fP"
.br
.ti -1c
.RI "int32_t \fBgm_max_recv_tokens\fP"
.br
.ti -1c
.RI "int32_t \fBgm_num_repost\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBgm_pending\fP"
.br
.RI "\fIlist of pending send descriptors \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBgm_repost\fP"
.br
.RI "\fIlist of pending fragments \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBgm_mru_reg\fP"
.br
.RI "\fIlist of most recently used registrations \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBgm_lock\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
BTL Module Interface. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
